For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant Orders

The Merchant Orders endpoints handle the creation and update of merchant onboarding orders. A merchant order bundles the provisioning details needed to onboard a new merchant, including entity information, banking details, and service subscriptions.

Additional Services is a separate order type for existing merchants. Use Additional Services for POST /orders/merchant/additionalServices and PUT /orders/merchant/additionalServices/{orderId}.

Use Merchant Order Documents to manage AML and KYC documents for merchant orders that require them.

How It Works

1

Create a merchant draft order

POST /orders/merchant — Submit the merchant's entity details, address, banking information, and desired services. The response returns a draft order ID.

2

Update the draft if needed

PUT /orders/merchant/{orderId} — Replace the entire draft order payload before submission. Use this to correct details prior to submitting.

3

Submit for processing

Use POST /orders/drafts/{orderId} (see Orders — Common) to submit the draft for processing.

API Reference

Create Merchant Order

Create Merchant Order

post

Adds a new merchant to the system and optionally allows for ordering hardware and services.

Header parameters
saveDraftbooleanOptional

An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.

validateAcquirerbooleanOptional

An optional header indicating whether to validate the acquirer.

validateACHbooleanOptional

An optional header indicating whether to validate account details against GIACT.

validateCompanyIdentitybooleanOptional

An optional header indicating to the client to validate the merchant details stored in the order against Verifone Identity Service.

X-Use-Simplified-Order-FlowbooleanOptional

An optional header indicating to the client, the new approach delegates more logic to the backend, requiring the API/UI client to supply only the essential data when possible. Our backend now intelligently derives missing fields by leveraging defaults and configurations from the Portfolio Service

Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
Responses
200

Create Merchant Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: MerchantOrder
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidRequired

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyGroupEntityUidstring · uuidOptional

For Group Feature, `entityType = MERCHANT_COMPANY_GROUP``.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
post/orders/merchant
POST /orders/merchant HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 10698

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "merchant": {
    "merchantType": "text",
    "merchantName": "text",
    "merchantId": "text",
    "merchantLogoUrl": "text",
    "altVfiEntityId": "1003933752",
    "parentEntityUid": "123e4567-e89b-12d3-a456-426614174000",
    "industry": "AIRLINE",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "paymentAppParameters": {
      "AccountVerifyEnabled": "0",
      "AllowDisableMerchantPreferredAppSelection": "0",
      "PurchaseEnabled": "1",
      "PurchaseAndCashoutEnabled": "1",
      "ManualPurchaseAndCashoutEnabled": "1",
      "PurchaseSurchargeEnabled": "0",
      "ContactlessSurchargeEnabled": "0",
      "CashOutOnlySurchargeEnabled": "0",
      "PreauthCompletionSurchargeType": "0",
      "MotoSurchargeEnabled": "0",
      "ManualPurchaseEnabled": "1",
      "ManualRefundEnabled": "1",
      "ManualPreAuthEnabled": "0",
      "CashoutOnlyEnabled": "1",
      "ManualCashoutOnlyEnabled": "1",
      "RefundEnabled": "1",
      "LimitRefundAmountEnabled": "0",
      "EbtEnabled": "1",
      "VoidEnabled": "1",
      "ManualVoidEnabled": "1",
      "SplitPaymentsEnabled": "1",
      "PreAuthEnabled": "0",
      "PostAuthEnabled": "0",
      "PreAuthCtlsEnabled": "1",
      "BalanceEnquiryEnabled": "1",
      "MotoPaymentEnabled": "0",
      "MotoTipEnabled": "0",
      "MotoRefundEnabled": "0",
      "MotoPreAuthEnabled": "0",
      "MotoSeparationEnabled": "0",
      "CashbackAmounts": "10,20,40,60",
      "MaxPurchaseAmount": "1000000",
      "MaxCashierRefundAmount": "0",
      "MaxManagerRefundAmount": "0",
      "MaxRefundTotalAmountPerSettlement": "0",
      "MaxAmountRefundPerDay": "40.00",
      "MaxCountRefundPerDay": "5",
      "ForceOfflineEnabled": "0",
      "CashbackCeiling": "200",
      "PrintMerchantReceipt": "1",
      "PrintCustomerReceipt": "1",
      "ShowEmailReceiptOption": "0",
      "ShowEmailTermsAndConditions": "0",
      "ReceiptGreeting": "",
      "ReceiptFooter": "",
      "TipEnabled": "1",
      "TipAdjustmentEnabled": "1",
      "TipCustomOptionEnabled": "1",
      "TipCustomOptionEntryMethod": "0",
      "TipLimit": "50",
      "TipLimitAmount": "0",
      "TipOverLimitAllowed": "1",
      "TipPercentages": "5,10,15",
      "AutoSettlementEnabled": "0",
      "AutoSettlementTime": "1:30",
      "SAFEnabled": "1",
      "MaxSAFAccumulativeAmount": "1000",
      "MaxSAFTransactionAmount": "1000",
      "MerchantSurcharge": [
        {
          "ProductId": "text",
          "SurchargeType": "0",
          "SurchargeValue": "0",
          "MaxSurchargeAdjAmount": "50.00",
          "MinSurchargeAdjAmount": "0",
          "MaxSurchargeableAmount": "0",
          "MinSurchargeableAmount": "0",
          "UseDomesticConfigForInternational": "1"
        }
      ],
      "RegionalParameters": {
        "parameterSchema": "text",
        "PrintBusinessRegistrationNumberOnReceipt": "1",
        "BusinessRegistrationNumber": ""
      },
      "CardHolderPresent": "Always",
      "MaxContactlessTransactionAmount": "45",
      "VoiceAuthRefferalLimit": "48",
      "VoiceAuthRefferalCode": "Th!s!sTh3C0d3",
      "CommerceTriggersEnabled": "1",
      "ContactlessCvmRequiredLimit": "100",
      "OfflineFloorLimit": "20",
      "CashEnabled": "1",
      "DualPricingEnabled": "1",
      "DccEnabled": "1",
      "DualPricingAdjustmentRate": "2.50",
      "DualPricingTipBasis": "0",
      "TransactionCurrencyCode_5F2A": 590,
      "TransactionCurrencyExponent_5F36": "02",
      "CustomCurrencySymbol": "AUD",
      "CurrencyCode": "AED",
      "NumberFormatLocale": "en-AU",
      "SurchargeRefundMethod": "0"
    },
    "settlement": {
      "settlementTime": "text"
    },
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyLabels": [
      "text"
    ],
    "siteLabels": [
      "text"
    ],
    "parentCompanyName": "text",
    "companyAltVfiEntityId": "1003933752",
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyIdentityCheck": {
      "identServiceCompanyId": "GB-0-324234324",
      "companyIdentificationUuid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
      "identificationStatus": "IDENTIFIED_VERIFIED",
      "identificationStatusReason": [
        "text"
      ]
    },
    "businessIdentifiers": [
      {
        "identifierType": "ABN",
        "value": "text"
      }
    ],
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "userLogins": [
      {
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "email": "name@gmail.com",
        "phoneNumber": {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      }
    ],
    "pois": [
      "[Circular Reference]"
    ]
  }
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": "[Circular Reference]",
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "merchant": {
    "merchantType": "text",
    "merchantName": "text",
    "merchantId": "text",
    "merchantLogoUrl": "text",
    "altVfiEntityId": "1003933752",
    "parentEntityUid": "123e4567-e89b-12d3-a456-426614174000",
    "industry": "AIRLINE",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "paymentAppParameters": {
      "AccountVerifyEnabled": "0",
      "AllowDisableMerchantPreferredAppSelection": "0",
      "PurchaseEnabled": "1",
      "PurchaseAndCashoutEnabled": "1",
      "ManualPurchaseAndCashoutEnabled": "1",
      "PurchaseSurchargeEnabled": "0",
      "ContactlessSurchargeEnabled": "0",
      "CashOutOnlySurchargeEnabled": "0",
      "PreauthCompletionSurchargeType": "0",
      "MotoSurchargeEnabled": "0",
      "ManualPurchaseEnabled": "1",
      "ManualRefundEnabled": "1",
      "ManualPreAuthEnabled": "0",
      "CashoutOnlyEnabled": "1",
      "ManualCashoutOnlyEnabled": "1",
      "RefundEnabled": "1",
      "LimitRefundAmountEnabled": "0",
      "EbtEnabled": "1",
      "VoidEnabled": "1",
      "ManualVoidEnabled": "1",
      "SplitPaymentsEnabled": "1",
      "PreAuthEnabled": "0",
      "PostAuthEnabled": "0",
      "PreAuthCtlsEnabled": "1",
      "BalanceEnquiryEnabled": "1",
      "MotoPaymentEnabled": "0",
      "MotoTipEnabled": "0",
      "MotoRefundEnabled": "0",
      "MotoPreAuthEnabled": "0",
      "MotoSeparationEnabled": "0",
      "CashbackAmounts": "10,20,40,60",
      "MaxPurchaseAmount": "1000000",
      "MaxCashierRefundAmount": "0",
      "MaxManagerRefundAmount": "0",
      "MaxRefundTotalAmountPerSettlement": "0",
      "MaxAmountRefundPerDay": "40.00",
      "MaxCountRefundPerDay": "5",
      "ForceOfflineEnabled": "0",
      "CashbackCeiling": "200",
      "PrintMerchantReceipt": "1",
      "PrintCustomerReceipt": "1",
      "ShowEmailReceiptOption": "0",
      "ShowEmailTermsAndConditions": "0",
      "ReceiptGreeting": "",
      "ReceiptFooter": "",
      "TipEnabled": "1",
      "TipAdjustmentEnabled": "1",
      "TipCustomOptionEnabled": "1",
      "TipCustomOptionEntryMethod": "0",
      "TipLimit": "50",
      "TipLimitAmount": "0",
      "TipOverLimitAllowed": "1",
      "TipPercentages": "5,10,15",
      "AutoSettlementEnabled": "0",
      "AutoSettlementTime": "1:30",
      "SAFEnabled": "1",
      "MaxSAFAccumulativeAmount": "1000",
      "MaxSAFTransactionAmount": "1000",
      "MerchantSurcharge": [
        {
          "ProductId": "text",
          "SurchargeType": "0",
          "SurchargeValue": "0",
          "MaxSurchargeAdjAmount": "50.00",
          "MinSurchargeAdjAmount": "0",
          "MaxSurchargeableAmount": "0",
          "MinSurchargeableAmount": "0",
          "UseDomesticConfigForInternational": "1"
        }
      ],
      "RegionalParameters": {
        "parameterSchema": "text"
      },
      "CardHolderPresent": "Always",
      "MaxContactlessTransactionAmount": "45",
      "VoiceAuthRefferalLimit": "48",
      "VoiceAuthRefferalCode": "Th!s!sTh3C0d3",
      "CommerceTriggersEnabled": "1",
      "ContactlessCvmRequiredLimit": "100",
      "OfflineFloorLimit": "20",
      "CashEnabled": "1",
      "DualPricingEnabled": "1",
      "DccEnabled": "1",
      "DualPricingAdjustmentRate": "2.50",
      "DualPricingTipBasis": "0",
      "TransactionCurrencyCode_5F2A": 590,
      "TransactionCurrencyExponent_5F36": "02",
      "CustomCurrencySymbol": "AUD",
      "CurrencyCode": "AED",
      "NumberFormatLocale": "en-AU",
      "SurchargeRefundMethod": "0"
    },
    "settlement": {
      "settlementTime": "text"
    },
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyLabels": [
      "text"
    ],
    "siteLabels": [
      "text"
    ],
    "parentCompanyName": "text",
    "companyAltVfiEntityId": "1003933752",
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyIdentityCheck": {
      "identServiceCompanyId": "GB-0-324234324",
      "companyIdentificationUuid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
      "companyStatus": "ACTIVE",
      "creditScore": 1,
      "complianceScore": 1,
      "matchStatus": "MATCH",
      "identificationStatus": "IDENTIFIED_VERIFIED",
      "identificationStatusReason": [
        "text"
      ]
    },
    "businessIdentifiers": [
      {
        "identifierType": "ABN",
        "value": "text"
      }
    ],
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "userLogins": [
      {
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "email": "name@gmail.com",
        "phoneNumber": {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      }
    ],
    "pois": "[Circular Reference]"
  },
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderType": "MerchantOrder",
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchantCompanyGroupEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "internal": {
    "oracleOrderNumber": 1,
    "oracleShippingTrackingReference": "text",
    "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
    "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
    "extendedDetails": {
      "status": "DRAFT",
      "code": "text",
      "information": "text",
      "lastChangeTime": "2020-01-06T18:16:14.243Z",
      "canCancel": true
    },
    "orderStats": {
      "minsSinceCreatedToLastUpdate": 0,
      "minsSinceLastStatusUpdate": 0
    },
    "vmssApplication": {
      "visaStatus": "NA ",
      "visaMatches": 1,
      "mcdStatus": "NA ",
      "mcdMatches": 1,
      "mcdTransactionReference": "text"
    },
    "salesforceApplicationId": "text",
    "signingInformation": {
      "provider": "SIGNICAT",
      "providerRef": "text",
      "signedFileUrl": "text",
      "signingRequests": [
        {
          "providerRef": "text",
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text"
          },
          "signed": false,
          "signedDateTime": "2026-01-01T00:00:00.000Z",
          "signingLink": "text"
        }
      ]
    },
    "econtractNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "draftNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "notificationReminders": {
      "econtract": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draft": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "docRequired": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      }
    },
    "customerOrderLink": {
      "orderLink": "https://example.com",
      "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkInitiatorUsername": "text",
      "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkReceiverUsername": "text",
      "linkSendTime": "2026-01-01T00:00:00.000Z",
      "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
      "customerUpdateTime": "2026-01-01T00:00:00.000Z"
    },
    "cancellationHistory": [
      {
        "cancelReasonEnum": "ADMIN_REASON",
        "cancelAdditionalReason": "text",
        "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "cancelledBy": "text",
        "cancelledDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "externalOnboarding": {
      "provider": "BANKAXEPT",
      "agreementId": "123e4567-e89b-12d3-a456-426614174000",
      "agreementStatus": "text",
      "merchantId": "text"
    },
    "ecomSiteEntityUid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Update Merchant Order

Update/Replace Merchant Order.

put

Update merchant order. This can only be done if the order has not been submitted.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Header parameters
validateAcquirerbooleanOptional

An optional header indicating whether to validate the acquirer.

validateACHbooleanOptional

An optional header indicating whether to validate account details against GIACT.

validateCompanyIdentitybooleanOptional

An optional header indicating to the client to validate the merchant details stored in the order against Verifone Identity Service.

Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
Responses
200

Replace Merchant Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: MerchantOrder
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidRequired

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyGroupEntityUidstring · uuidOptional

For Group Feature, `entityType = MERCHANT_COMPANY_GROUP``.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
put/orders/merchant/{orderId}
PUT /orders/merchant/{orderId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 10698

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "merchant": {
    "merchantType": "text",
    "merchantName": "text",
    "merchantId": "text",
    "merchantLogoUrl": "text",
    "altVfiEntityId": "1003933752",
    "parentEntityUid": "123e4567-e89b-12d3-a456-426614174000",
    "industry": "AIRLINE",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "paymentAppParameters": {
      "AccountVerifyEnabled": "0",
      "AllowDisableMerchantPreferredAppSelection": "0",
      "PurchaseEnabled": "1",
      "PurchaseAndCashoutEnabled": "1",
      "ManualPurchaseAndCashoutEnabled": "1",
      "PurchaseSurchargeEnabled": "0",
      "ContactlessSurchargeEnabled": "0",
      "CashOutOnlySurchargeEnabled": "0",
      "PreauthCompletionSurchargeType": "0",
      "MotoSurchargeEnabled": "0",
      "ManualPurchaseEnabled": "1",
      "ManualRefundEnabled": "1",
      "ManualPreAuthEnabled": "0",
      "CashoutOnlyEnabled": "1",
      "ManualCashoutOnlyEnabled": "1",
      "RefundEnabled": "1",
      "LimitRefundAmountEnabled": "0",
      "EbtEnabled": "1",
      "VoidEnabled": "1",
      "ManualVoidEnabled": "1",
      "SplitPaymentsEnabled": "1",
      "PreAuthEnabled": "0",
      "PostAuthEnabled": "0",
      "PreAuthCtlsEnabled": "1",
      "BalanceEnquiryEnabled": "1",
      "MotoPaymentEnabled": "0",
      "MotoTipEnabled": "0",
      "MotoRefundEnabled": "0",
      "MotoPreAuthEnabled": "0",
      "MotoSeparationEnabled": "0",
      "CashbackAmounts": "10,20,40,60",
      "MaxPurchaseAmount": "1000000",
      "MaxCashierRefundAmount": "0",
      "MaxManagerRefundAmount": "0",
      "MaxRefundTotalAmountPerSettlement": "0",
      "MaxAmountRefundPerDay": "40.00",
      "MaxCountRefundPerDay": "5",
      "ForceOfflineEnabled": "0",
      "CashbackCeiling": "200",
      "PrintMerchantReceipt": "1",
      "PrintCustomerReceipt": "1",
      "ShowEmailReceiptOption": "0",
      "ShowEmailTermsAndConditions": "0",
      "ReceiptGreeting": "",
      "ReceiptFooter": "",
      "TipEnabled": "1",
      "TipAdjustmentEnabled": "1",
      "TipCustomOptionEnabled": "1",
      "TipCustomOptionEntryMethod": "0",
      "TipLimit": "50",
      "TipLimitAmount": "0",
      "TipOverLimitAllowed": "1",
      "TipPercentages": "5,10,15",
      "AutoSettlementEnabled": "0",
      "AutoSettlementTime": "1:30",
      "SAFEnabled": "1",
      "MaxSAFAccumulativeAmount": "1000",
      "MaxSAFTransactionAmount": "1000",
      "MerchantSurcharge": [
        {
          "ProductId": "text",
          "SurchargeType": "0",
          "SurchargeValue": "0",
          "MaxSurchargeAdjAmount": "50.00",
          "MinSurchargeAdjAmount": "0",
          "MaxSurchargeableAmount": "0",
          "MinSurchargeableAmount": "0",
          "UseDomesticConfigForInternational": "1"
        }
      ],
      "RegionalParameters": {
        "parameterSchema": "text",
        "PrintBusinessRegistrationNumberOnReceipt": "1",
        "BusinessRegistrationNumber": ""
      },
      "CardHolderPresent": "Always",
      "MaxContactlessTransactionAmount": "45",
      "VoiceAuthRefferalLimit": "48",
      "VoiceAuthRefferalCode": "Th!s!sTh3C0d3",
      "CommerceTriggersEnabled": "1",
      "ContactlessCvmRequiredLimit": "100",
      "OfflineFloorLimit": "20",
      "CashEnabled": "1",
      "DualPricingEnabled": "1",
      "DccEnabled": "1",
      "DualPricingAdjustmentRate": "2.50",
      "DualPricingTipBasis": "0",
      "TransactionCurrencyCode_5F2A": 590,
      "TransactionCurrencyExponent_5F36": "02",
      "CustomCurrencySymbol": "AUD",
      "CurrencyCode": "AED",
      "NumberFormatLocale": "en-AU",
      "SurchargeRefundMethod": "0"
    },
    "settlement": {
      "settlementTime": "text"
    },
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyLabels": [
      "text"
    ],
    "siteLabels": [
      "text"
    ],
    "parentCompanyName": "text",
    "companyAltVfiEntityId": "1003933752",
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyIdentityCheck": {
      "identServiceCompanyId": "GB-0-324234324",
      "companyIdentificationUuid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
      "identificationStatus": "IDENTIFIED_VERIFIED",
      "identificationStatusReason": [
        "text"
      ]
    },
    "businessIdentifiers": [
      {
        "identifierType": "ABN",
        "value": "text"
      }
    ],
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "userLogins": [
      {
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "email": "name@gmail.com",
        "phoneNumber": {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      }
    ],
    "pois": [
      "[Circular Reference]"
    ]
  }
}
[
  {
    "orderReference": "ORD-1234",
    "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
    "requestedDate": "2026-01-01T00:00:00.000Z",
    "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
    "poRef": "85219587",
    "paymentDetails": {
      "paymentType": "CREDIT",
      "accountType": "CHEQUE",
      "accountCurrency": "AED",
      "institutionName": "HSBC Bank",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumber": "23008275",
      "accountAddress": {
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "ean": "23008275",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "notes": "Current in draft, caller got busy, callback anothertime.",
    "additionalOrderData": [
      {
        "variableName": "VAT_ID or BAX_ID",
        "variableValue": "1234566"
      }
    ],
    "packageDetails": {
      "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
      "basePackageBundle": {
        "packageBundleId": "PREMIUM-36MONTH",
        "price": "20.50"
      },
      "servicePackages": [
        "[Circular Reference]"
      ],
      "deliveryPackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ]
      }
    },
    "contract": {
      "brokerId": "text",
      "legalStructure": "PROPRIETOR_OWN_BEHALF",
      "contacts": [
        {
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text",
            "passportId": "text",
            "nationality": "text",
            "additionalNationalities": [
              "text"
            ],
            "nationalIdentifer": "text"
          },
          "addressDetails": {
            "receiverName": "text",
            "addressLine1": "213 Miller Street",
            "addressLine2": "North Sydney",
            "addressLine3": "text",
            "poBox": "K1234",
            "city": "York",
            "countrySubdivision": "Georgia",
            "postCode": "2061",
            "country": "AUS",
            "timeZone": "text"
          },
          "dateOfBirth": "2026-01-01",
          "placeOfBirth": "text",
          "isIDCheckRequired": false,
          "isContractSignatureRequired": false,
          "isLegalRepresentative": false,
          "isAuthorizedRepresentative": false,
          "isBeneficiaryOwner": false,
          "isPoliticallyExposed": false,
          "representativeType": "GENERAL_COMMERCIAL_POWER"
        }
      ],
      "settlementAccount": {
        "currency": "AED",
        "accountHolderType": "BUSINESS",
        "description": "Coffee Supreme Trading",
        "nickname": "Store 1 Account",
        "country": "AUS",
        "accountName": "text",
        "iban": "text",
        "bic": "CTBAAU2SXXX"
      },
      "domesticSettlementAccount": {
        "currency": "AED",
        "accountHolderType": "BUSINESS",
        "description": "Coffee Supreme Trading",
        "nickname": "Store 1 Account",
        "accountName": "Coffee Supreme LTD",
        "sortCode": "301105",
        "bsb": 22039,
        "routingTransitNumber": "247484410",
        "accountNumberType": "DEFAULT",
        "accountNumber": "23008275"
      },
      "serviceStartDate": "2026-01-01T00:00:00.000Z",
      "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
      "proprietorAct": true,
      "documents": [
        {
          "documentId": "123e4567-e89b-12d3-a456-426614174000",
          "documentName": "text",
          "displayName": "text",
          "status": "PENDING_UPLOAD",
          "allowedContentTypes": [
            "application/pdf"
          ],
          "allowedContentLength": 2097152,
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text",
            "passportId": "text",
            "nationality": "text",
            "additionalNationalities": [
              "text"
            ],
            "nationalIdentifer": "text"
          },
          "uploadedDate": "2026-01-01T00:00:00.000Z",
          "modifiedDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "replacementAgreement": {
        "contractNumber": "text",
        "devices": [
          {
            "serialNumber": "text",
            "deviceModel": "text"
          }
        ]
      }
    },
    "merchant": {
      "merchantType": "text",
      "merchantName": "text",
      "merchantId": "text",
      "merchantLogoUrl": "text",
      "altVfiEntityId": "1003933752",
      "parentEntityUid": "123e4567-e89b-12d3-a456-426614174000",
      "industry": "AIRLINE",
      "primaryContact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
      "mcc": "5411",
      "paymentAppParameters": {
        "AccountVerifyEnabled": "0",
        "AllowDisableMerchantPreferredAppSelection": "0",
        "PurchaseEnabled": "1",
        "PurchaseAndCashoutEnabled": "1",
        "ManualPurchaseAndCashoutEnabled": "1",
        "PurchaseSurchargeEnabled": "0",
        "ContactlessSurchargeEnabled": "0",
        "CashOutOnlySurchargeEnabled": "0",
        "PreauthCompletionSurchargeType": "0",
        "MotoSurchargeEnabled": "0",
        "ManualPurchaseEnabled": "1",
        "ManualRefundEnabled": "1",
        "ManualPreAuthEnabled": "0",
        "CashoutOnlyEnabled": "1",
        "ManualCashoutOnlyEnabled": "1",
        "RefundEnabled": "1",
        "LimitRefundAmountEnabled": "0",
        "EbtEnabled": "1",
        "VoidEnabled": "1",
        "ManualVoidEnabled": "1",
        "SplitPaymentsEnabled": "1",
        "PreAuthEnabled": "0",
        "PostAuthEnabled": "0",
        "PreAuthCtlsEnabled": "1",
        "BalanceEnquiryEnabled": "1",
        "MotoPaymentEnabled": "0",
        "MotoTipEnabled": "0",
        "MotoRefundEnabled": "0",
        "MotoPreAuthEnabled": "0",
        "MotoSeparationEnabled": "0",
        "CashbackAmounts": "10,20,40,60",
        "MaxPurchaseAmount": "1000000",
        "MaxCashierRefundAmount": "0",
        "MaxManagerRefundAmount": "0",
        "MaxRefundTotalAmountPerSettlement": "0",
        "MaxAmountRefundPerDay": "40.00",
        "MaxCountRefundPerDay": "5",
        "ForceOfflineEnabled": "0",
        "CashbackCeiling": "200",
        "PrintMerchantReceipt": "1",
        "PrintCustomerReceipt": "1",
        "ShowEmailReceiptOption": "0",
        "ShowEmailTermsAndConditions": "0",
        "ReceiptGreeting": "",
        "ReceiptFooter": "",
        "TipEnabled": "1",
        "TipAdjustmentEnabled": "1",
        "TipCustomOptionEnabled": "1",
        "TipCustomOptionEntryMethod": "0",
        "TipLimit": "50",
        "TipLimitAmount": "0",
        "TipOverLimitAllowed": "1",
        "TipPercentages": "5,10,15",
        "AutoSettlementEnabled": "0",
        "AutoSettlementTime": "1:30",
        "SAFEnabled": "1",
        "MaxSAFAccumulativeAmount": "1000",
        "MaxSAFTransactionAmount": "1000",
        "MerchantSurcharge": [
          {
            "ProductId": "text",
            "SurchargeType": "0",
            "SurchargeValue": "0",
            "MaxSurchargeAdjAmount": "50.00",
            "MinSurchargeAdjAmount": "0",
            "MaxSurchargeableAmount": "0",
            "MinSurchargeableAmount": "0",
            "UseDomesticConfigForInternational": "1"
          }
        ],
        "RegionalParameters": "[Circular Reference]",
        "CardHolderPresent": "Always",
        "MaxContactlessTransactionAmount": "45",
        "VoiceAuthRefferalLimit": "48",
        "VoiceAuthRefferalCode": "Th!s!sTh3C0d3",
        "CommerceTriggersEnabled": "1",
        "ContactlessCvmRequiredLimit": "100",
        "OfflineFloorLimit": "20",
        "CashEnabled": "1",
        "DualPricingEnabled": "1",
        "DccEnabled": "1",
        "DualPricingAdjustmentRate": "2.50",
        "DualPricingTipBasis": "0",
        "TransactionCurrencyCode_5F2A": 590,
        "TransactionCurrencyExponent_5F36": "02",
        "CustomCurrencySymbol": "AUD",
        "CurrencyCode": "AED",
        "NumberFormatLocale": "en-AU",
        "SurchargeRefundMethod": "0"
      },
      "settlement": {
        "settlementTime": "text"
      },
      "tradingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "shippingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "billingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "companyLabels": [
        "text"
      ],
      "siteLabels": [
        "text"
      ]
    },
    "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "status": "DRAFT",
    "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
    "createdBy": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
    "modifiedBy": "text",
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "orderType": "MerchantOrder",
    "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
    "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
    "merchantCompanyGroupEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
    "internal": {
      "oracleOrderNumber": 1,
      "oracleShippingTrackingReference": "text",
      "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
      "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
      "extendedDetails": {
        "status": "DRAFT",
        "code": "text",
        "information": "text",
        "lastChangeTime": "2020-01-06T18:16:14.243Z",
        "canCancel": true
      },
      "orderStats": {
        "minsSinceCreatedToLastUpdate": 0,
        "minsSinceLastStatusUpdate": 0
      },
      "vmssApplication": {
        "visaStatus": "NA ",
        "visaMatches": 1,
        "mcdStatus": "NA ",
        "mcdMatches": 1,
        "mcdTransactionReference": "text"
      },
      "salesforceApplicationId": "text",
      "signingInformation": {
        "provider": "SIGNICAT",
        "providerRef": "text",
        "signedFileUrl": "text",
        "signingRequests": [
          {
            "providerRef": "text",
            "contact": {
              "contactType": "BUSINESS",
              "name": {
                "firstName": "text",
                "lastName": "text",
                "prefix": "text",
                "alternateFullName": "text",
                "middleName": "text",
                "suffix": "text"
              },
              "phoneNumbers": [
                {
                  "callingCode": "text",
                  "value": "text",
                  "extension": "text",
                  "isPrimary": false,
                  "phoneType": "HOME"
                }
              ],
              "email": "name@gmail.com",
              "businessTitle": "text"
            },
            "signed": false,
            "signedDateTime": "2026-01-01T00:00:00.000Z",
            "signingLink": "text"
          }
        ]
      },
      "econtractNotificationReminder": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draftNotificationReminder": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "notificationReminders": {
        "econtract": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        },
        "draft": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        },
        "docRequired": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        }
      },
      "customerOrderLink": {
        "orderLink": "https://example.com",
        "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "linkInitiatorUsername": "text",
        "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "linkReceiverUsername": "text",
        "linkSendTime": "2026-01-01T00:00:00.000Z",
        "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
        "customerUpdateTime": "2026-01-01T00:00:00.000Z"
      },
      "cancellationHistory": [
        {
          "cancelReasonEnum": "ADMIN_REASON",
          "cancelAdditionalReason": "text",
          "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
          "cancelledBy": "text",
          "cancelledDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalOnboarding": {
        "provider": "BANKAXEPT",
        "agreementId": "123e4567-e89b-12d3-a456-426614174000",
        "agreementStatus": "text"
      },
      "ecomSiteEntityUid": "123e4567-e89b-12d3-a456-426614174000"
    }
  }
]

Additional Services

Additional Services uses different endpoints from Merchant Orders. Use Additional Services when you need to add services to an existing merchant.

Last updated

Was this helpful?